---
- name: Get Service Facts
  service_facts:

- name: Check if gitlab installer exists
  stat:
    path: /usr/local/bin/gitlab-runner
  register: stat_result

- name: Download binary and give execute permissions
  get_url:
    url: https://gitlab-runner-downloads.s3.amazonaws.com/latest/binaries/gitlab-runner-linux-amd64
    dest: /usr/local/bin/gitlab-runner
    mode: 0700
  environment: "{{ proxy_env }}"
  when: not stat_result.stat.exists

- name: Add user gitlab-runner
  user:
    name: gitlab-runner
    comment: Gitlab Runner
    shell: /bin/bash
    state: present

- name: Install
  shell: gitlab-runner install --user=gitlab-runner --working-directory=/home/gitlab-runner
  when: ansible_facts.services["gitlab-runner"] is not defined
  register: runner_install

- name: Start service
  service: 
    name: gitlab-runner
    state: started
  when: runner_install.changed
